Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Oct 2018 21:20:35 +0300

> Date: Thu, 18 Oct 2018 18:26:34 +0100 (BST)
> From: Vivek Dasmohapatra <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> >> +   nil (or any other value) - the menu bar is truncated\n
> >> +Note that prior to GTK 3.16 truncation is not possible and the default
> >> +is equivalent to 'forced-resize.\n
> >
> > Do you really need these explicit \n newlines?
> 
> I wouldn't say need but I find they make the documentation more readable, 
> per item 3 in (elisp)Top > Tips > Documentation tips … D.6 Tips for…

Sure, but why not have them literally, so that reading the doc string
in the code will also be easier.  Like this:

  (defun menu-bar-scrollbar-mode (&optional mode)
    "Cycle through scroll/truncate/resize modes for GTK menu bars.

  If the optional parameter MODE is specified then apply that instead.
  The new mode is stored in the variable `menu-bar-scrollbar-mode' via
  the custom interface (but not automatically saved).

  Returns the new MODE.

  NOTE: pass 'default if you want to set the mode explicitly to nil.

  See `menu-bar-scrollbar' in Info node `(elisp)Layout Parameters' for details."

> I will make the other changes suggested (to which I have not responded
> individually here).

Thanks.